package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.executePlan.dto.planInfo.AppList;
import net.northking.cctp.executePlan.dto.planInfo.DeviceList;

import java.util.List;

public class AtuCaseSetFeignDto {

    @ApiModelProperty("用例集id")
    private List<String> setId;

    @ApiModelProperty("是否新增页面")
    private boolean updateFlag;

    @ApiModelProperty("应用集合")
    private List<AppList> appLists;

    @ApiModelProperty("设备集合")
    private List<DeviceList> deviceLists;

    public List<String> getSetId() {
        return setId;
    }

    public void setSetId(List<String> setId) {
        this.setId = setId;
    }

    public boolean isUpdateFlag() {
        return updateFlag;
    }

    public void setUpdateFlag(boolean updateFlag) {
        this.updateFlag = updateFlag;
    }

    public List<AppList> getAppLists() {
        return appLists;
    }

    public void setAppLists(List<AppList> appLists) {
        this.appLists = appLists;
    }

    public List<DeviceList> getDeviceLists() {
        return deviceLists;
    }

    public void setDeviceLists(List<DeviceList> deviceLists) {
        this.deviceLists = deviceLists;
    }
}
